app.factory('destaquesFactory', function ($http) {

    return {
        getDestaques: function () {
            return $http.get('../api/destaques');
        },

        getDestaquesId: function (info) {
            return $http.get('../api/destaques/'+info.Id);
        },

        getDestaquesMostrar: function () {
            return $http.get('../api/destaques/mostrar/ativos');
        },

        novoDestaque: function (info) {


            return $http({
                cache: false,
                url: '../api/destaques',
                method: "POST",
                data: info
            })
        },

        atualizarDestaque: function (info) {


            return $http({
                cache: false,
                url: '../api/destaques/'+info.Id,
                method: "PUT",
                data: info
            })
        },
        
        deleteDestaque: function (info) {
            return $http({
                url: '../api/destaques/' + info.Id,
                method: "DELETE"
            })

        },
    };
});
